searchNodes=[{"doc":"Defines the %Identicon{} struct used by the functions of the main module to gradually process and generate an identicon.","ref":"Identicon.html","title":"Identicon","type":"module"},{"doc":"Main module of IdenticonSvg that contains all functions of the library.","ref":"IdenticonSvg.html","title":"IdenticonSvg","type":"module"},{"doc":"Generate the SVG code of the identicon for the specified text . Without specifying any optional arguments this function generates a 5x5 identicon with a transparent background and colored grid squares with full opacity. A different hashing function is used automatically for each identicon size , so that the utilization of bits is maximized for the given size: MD5 for sizes 4 and 5, RIPEMD-160 for 6, and SHA3 for 7 to 10 with 224, 256, 384 and 512 bits, respectively. Optionally, specify any combination of the following arguments: size : the number of grid squares of the identicon's side; integer, 4 to 10; 5 by default. bg_color : the color of the background grid squares as a hex code string (e.g., #eee ) or an atom specifying the color complementarity (se below); nil by default. opacity : the opacity of the entire identicon (all grid squares); float, 0.0 to 1.0; 1.0 by default. The color of the foreground grid squares is always equal to the three first bytes of the hash of text , regardless of which hashing function is used automatically. Setting bg_color to nil (default value) generates only the foreground (colored) squares, with the default (1.0) or requested opacity . New since v0.8.0: Setting bg_color to one of the following 3 atom values sets the color of the background squares to the corresponding RGB-complementary color of the automatically-defined foreground color, with the default (1.0) or requested opacity : :basic : the complementary color, i.e. the opposite color of fg_color on the color wheel. :split1 : the first adjacent tertiary color of the complement of fg_color on the color wheel. :split2 : the second adjacent tertiary color of the complement of fg_color on the color wheel. Examples 5x5 identicon with transparent background: generate ( &quot;banana&quot; ) 5x5 identicon with complementary background color: generate ( &quot;banana&quot; , 5 , :basic ) 5x5 identicon with first split-complementary background color: generate ( &quot;banana&quot; , 5 , :split1 ) 5x5 identicon with second split-complementary background color: generate ( &quot;banana&quot; , 5 , :split2 ) 6x6 identicon with transparent background: generate ( &quot;pineapple&quot; , 6 ) 7x7 identicon with blue ( #33f ) background: generate ( &quot;refrigerator&quot; , 7 , &quot;#33f&quot; ) 9x9 identicon with transparent background and 50% opacity: generate ( &quot;2023-03-14&quot; , 9 , nil , 0.5 ) 10x10 identicon with yellow ( #ff0 ) background and 80% opacity: generate ( &quot;banana&quot; , 10 , &quot;#ff0&quot; , 0.8 )","ref":"IdenticonSvg.html#generate/4","title":"IdenticonSvg.generate/4","type":"function"},{"doc":"IdenticonSvg An Elixir library to generate identicons in SVG format, so they can be inlined in HTML.","ref":"readme.html","title":"README","type":"extras"},{"doc":"The package is available in Hex and can be installed by adding identicon_svg to your list of dependencies in mix.exs : def deps do [ { :identicon_svg , &quot;~&gt; 0.8.0&quot; } ] end","ref":"readme.html#installation","title":"README - Installation","type":"extras"},{"doc":"No configuration required.","ref":"readme.html#configuration","title":"README - Configuration","type":"extras"},{"doc":"The docs can be found at https://hexdocs.pm/identicon_svg . There's also a discussion thread on elixirforum.com .","ref":"readme.html#documentation","title":"README - Documentation","type":"extras"},{"doc":"[x] Implement core functionality [x] Publish on hex.pm [x] Add background color functionality (split-complementary for automatic color-matching) [ ] Implement testing functions [ ] Set up CI","ref":"readme.html#todo","title":"README - TODO","type":"extras"}]